## visad.bom
Class CBMKeyboardBehaviorJ3D

    java.lang.Object
      javax.media.j3d.SceneGraphObject
          javax.media.j3d.Node
              javax.media.j3d.Leaf
                  javax.media.j3d.Behavior
                      visad.java3d.KeyboardBehaviorJ3D
                          visad.bom.CBMKeyboardBehaviorJ3D

All Implemented Interfaces:
  KeyboardBehavior

public class CBMKeyboardBehaviorJ3D
extends KeyboardBehaviorJ3D

Field Summary
`static int` `MINUS_ANGLE`
`static int` `MINUS_SPEED`
`static int` `NEXT_WIND`
`static int` `PLUS_ANGLE`
`static int` `PLUS_SPEED`
`static int` `PREVIOUS_WIND`

Fields inherited from class visad.java3d.KeyboardBehaviorJ3D
`ROTATE_X_NEG, ROTATE_X_POS, ROTATE_Y_NEG, ROTATE_Y_POS, ROTATE_Z_NEG, ROTATE_Z_POS, wakeupCondition`

Fields inherited from class javax.media.j3d.Node
`ALLOW_AUTO_COMPUTE_BOUNDS_READ, ALLOW_AUTO_COMPUTE_BOUNDS_WRITE, ALLOW_BOUNDS_READ, ALLOW_BOUNDS_WRITE, ALLOW_COLLIDABLE_READ, ALLOW_COLLIDABLE_WRITE, ALLOW_LOCAL_TO_VWORLD_READ, ALLOW_LOCALE_READ, ALLOW_PARENT_READ, ALLOW_PICKABLE_READ, ALLOW_PICKABLE_WRITE, ENABLE_COLLISION_REPORTING, ENABLE_PICK_REPORTING`

Fields inherited from class javax.media.j3d.SceneGraphObject
``

Fields inherited from interface visad.KeyboardBehavior
`NO_MASK, RESET, TRANSLATE_DOWN, TRANSLATE_LEFT, TRANSLATE_RIGHT, TRANSLATE_UP, ZOOM_IN, ZOOM_OUT`

Constructor Summary
`CBMKeyboardBehaviorJ3D(DisplayRendererJ3D r)`

Method Summary
`void` `execFunction(int function)` Executes the given function.
`void` `setWhichCBM(CollectiveBarbManipulation c)`

Methods inherited from class visad.java3d.KeyboardBehaviorJ3D
`initialize, mapKeyToFunction, processKeyEvent, processStimulus`

Methods inherited from class javax.media.j3d.Behavior
`getEnable, getNumSchedulingIntervals, getSchedulingBoundingLeaf, getSchedulingBounds, getSchedulingInterval, getView, getWakeupCondition, postId, setEnable, setSchedulingBoundingLeaf, setSchedulingBounds, setSchedulingInterval, updateNodeReferences, wakeupOn`

Methods inherited from class javax.media.j3d.Node
`cloneNode, cloneTree, cloneTree, cloneTree, cloneTree, cloneTree, cloneTree, duplicateNode, getBounds, getBoundsAutoCompute, getCollidable, getLocale, getLocalToVworld, getLocalToVworld, getParent, getPickable, setBounds, setBoundsAutoCompute, setCollidable, setPickable`

Methods inherited from class javax.media.j3d.SceneGraphObject
`clearCapability, clearCapabilityIsFrequent, duplicateSceneGraphObject, getCapability, getCapabilityIsFrequent, getName, getUserData, isCompiled, isLive, setCapability, setCapabilityIsFrequent, setName, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PLUS_ANGLE

    public static final int PLUS_ANGLE

See Also:
  Constant Field Values

### MINUS_ANGLE

    public static final int MINUS_ANGLE

See Also:
  Constant Field Values

### PLUS_SPEED

    public static final int PLUS_SPEED

See Also:
  Constant Field Values

### MINUS_SPEED

    public static final int MINUS_SPEED

See Also:
  Constant Field Values

### NEXT_WIND

    public static final int NEXT_WIND

See Also:
  Constant Field Values

### PREVIOUS_WIND

    public static final int PREVIOUS_WIND

See Also:
  Constant Field Values

Constructor Detail

### CBMKeyboardBehaviorJ3D

    public CBMKeyboardBehaviorJ3D(DisplayRendererJ3D r)

Method Detail

### setWhichCBM

    public void setWhichCBM(CollectiveBarbManipulation c)
                     throws VisADException

  Throws:
    `VisADException`

### execFunction

    public void execFunction(int function)

  Executes the given function.

  Specified by:
    `execFunction` in interface `KeyboardBehavior`
  Overrides:
    `execFunction` in class `KeyboardBehaviorJ3D`
  Parameters:
    `function` - function to perform (TRANSLATE_UP, ZOOM_IN, etc)